Patch a Custom Profile Attribute field
PATCH/api/v4/custom_profile_attributes/fields/:field_id
Partially update a Custom Profile Attribute field by providing only the fields you want to update. Omitted fields will not be updated. The fields that can be updated are defined in the request body, all other provided fields will be ignored.
Note: Fields with attrs.protected = true cannot be
modified and will return an error.
Minimum server version: 10.5
Permissions
Must have manage_system permission.
Request
Responses
- 200
- 400
- 401
- 403
- 422
Custom Profile Attribute field patch successful
Invalid or missing parameters in URL or request body
No access token provided
Do not have appropriate permissions
Validation error. Returned when a name change does not match the required identifier pattern, is a CEL reserved word, or when attrs.display_name exceeds 255 characters.